Ergebnis 1 bis 6 von 6

Thema: "Bootstrap für Contao Card" lässt sich nicht installieren

  1. #1
    Contao-Nutzer
    Registriert seit
    16.05.2013.
    Beiträge
    12

    Standard "Bootstrap für Contao Card" lässt sich nicht installieren

    Hallo,

    bei der Installation von "Bootstrap für Contao Card" im aktuellen Contao Manager 1.4.1 kommt folgende Fehlermeldung:

    Code:
    composer require contao-bootstrap/card
    
    $ /usr/bin/php7.3 -q -dmax_execution_time=0 -dmemory_limit=-1 -dallow_url_fopen=1 -ddisable_functions= -ddate.timezone=Europe/Berlin /xxx/xxx/xxx/web/contao-manager.phar.php composer require contao-bootstrap/card --no-update --no-scripts --prefer-stable --sort-packages --no-ansi --no-interaction
    In InitCommand.php line 764:
                                                                                   
      Could not find a version of package contao-bootstrap/card matching your min  
      imum-stability (stable). Require it with an explicit version constraint all  
      owing its desired stability.                                                 
                                                                                   
    require [--dev] [--dry-run] [--prefer-source] [--prefer-dist] [--fixed] [--no-suggest] [--no-progress] [--no-update] [--no-install] [--no-scripts] [--update-no-dev] [-w|--update-with-dependencies] [-W|--update-with-all-dependencies] [--with-dependencies] [--with-all-dependencies] [--ignore-platform-req IGNORE-PLATFORM-REQ] [--ignore-platform-reqs] [--prefer-stable] [--prefer-lowest] [--sort-packages] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--apcu-autoloader-prefix APCU-AUTOLOADER-PREFIX] [--] [<packages>...]
    # Process terminated with exit code 1
    # Result: General error
    
    composer update contao-bootstrap/bundle contao/manager-bundle contao-bootstrap/card contao/news-bundle contao/calendar-bundle contao/faq-bundle contao/comments-bundle contao/newsletter-bundle contao/listing-bundle contao/conflicts contao/core-bundle contao/installation-bundle
    
    composer install
    Bereits installiert sind "Contao Open Source CMS" (Version 4.9.12) sowie "Bootstrap für Contao Bundle" (Version 2.1.1).
    Für die Card-Installation hatte ich erst alle Pakete zum Aktualisieren ausgewählt, dann die Erweiterung hinzugefügt und dann die Änderungen anwenden lassen.

    Ich fand bei der Durchsicht im Forum keinen Hinweis, der mir weiterhilft. Weiß jemand evtl. Rat?

    Viele Grüße
    Klaus

  2. #2
    Administratorin Avatar von lucina
    Registriert seit
    19.06.2009.
    Ort
    Kiel (DE)
    Beiträge
    6.856
    Partner-ID
    152
    User beschenken
    Wunschliste

    Standard

    Das ist auch richtig so, denn diese Komponente liegt nicht in einer Stable-Version vor (und das legt die Meldung auch nahe, siehe auch https://packagist.org/packages/contao-bootstrap/card).

    Du könntest sie mit der Version 2.0.x-dev as 2.0 eintragen, dann lässt sie sich auch installieren.

    Ich persönlich halte es ja immer für sinnvoll, vor der Installation von Dingen, die man nicht so genau kennt, mal einen Blick auf Packagist oder gar ins Repo zu werfen ...

  3. #3
    Contao-Nutzer
    Registriert seit
    16.05.2013.
    Beiträge
    12

    Standard

    Vielen Dank für die schnelle Hilfe und den Hinweis. Dass die Komponente nicht in einer Stable-Version vorliegt, habe ich übersehen ...

    Die Installation hat mit dem beschriebenen Eintrag funktioniert. Jetzt stellt sich mir nur die Frage, ob man diese Erweiterung überhaupt nutzen sollte, wenn sie nicht stable ist. Oder macht man da als Nicht-Programmierer lieber einen Bogen drum???

  4. #4
    Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.056
    Partner-ID
    7421

    Standard

    Man kann auch selbst mal viel Testen und wenn alles fehlerfrei funktioniert den Entwickler fragen ob er nicht eine stable daraus machen will. Eventuell auch mit Sponsoring oder als Auftrag beim Entwickler das "Verfahren" unterstützen. Kontakt aufnehmen mit einem Entwickler ist da immer sehr nützlich.
    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen



  5. #5
    Contao-Nutzer Avatar von mdoll
    Registriert seit
    25.06.2009.
    Ort
    Wietze
    Beiträge
    245

    Standard

    Hi,

    wo willst Du die Cards denn einsetzen? Unter Umständen benötigt man das Bundle gar nicht, sondern es reicht, sich ein entsprechendes Template anzulegen, was man dann als Template für das Inhaltselment wählt.

    Das hier ist zum Beispiel das eine Template aus dem Bundle. Das kannst Du einfach in Deinem Templateordner als ce_text_card.html5 abspeichern. Das Deinem Inhaltselement Text als Template zuweisen, und das Inhaltselement hat das entsprechende Bootstrap-Markup. Ensprechend lassen sich auch andere Card-Templates erstellen.
    PHP-Code:
    <div class="card <?= $this->class ?> block"<?= $this->cssID ?><?php if ($this->style): ?> style="<?= $this->style ?>"<?php endif; ?>>
        <?php $this->block('before'?>
        <?php if ($this->addImage && $this->addBefore): ?>
            <div class="card-img-top">
                <?php $this->insert('image'$this->arrData); ?>
            </div>
        <?php endif; ?>
        <?php $this->endblock() ?>

        <div class="card-body">
            <?php $this->block('title'?>
            <?php if ($this->headline): ?>
            <<?= $this->hl ?> class="card-title"><?= $this->headline ?></<?= $this->hl ?>>
            <?php endif; ?>
            <?php $this->endblock() ?>

            <?php $this->block('content'?>
            <?= str_replace('<p>''<p class="card-text">'$this->text?>
            <?php $this->endblock() ?>
        </div>

        <?php $this->block('before'?>
        <?php if ($this->addImage && !$this->addBefore): ?>
            <div class="card-img-bottom">
                <?php $this->insert('image'$this->arrData); ?>
            </div>
        <?php endif; ?>
        <?php $this->endblock() ?>
    </div>
    Gruß
    Mathias
    “Ah," said Mr Pin. "Right. I remember. You are concerned citizens." He knew about concerned citizens. Wherever they were, they all spoke the same private language, where 'traditional values' meant 'hang someone'.”
    ― Terry Pratchett, The Truth

  6. #6
    Contao-Nutzer
    Registriert seit
    16.05.2013.
    Beiträge
    12

    Standard

    Danke für die Anregungen!
    Dein Tipp, Mathias, anstelle der Erweiterung ein eigenes Template zu erstellen, ist eine überlegenswerte Alternative.
    Gruß
    Klaus

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •